import { get, deleteData } from "@/server/api.js";
export const ListMixin = {
	data () {
		return {
			isShowDialog: '',
			item: {},
			pagination: { // 分页参数
				pageNumber: 1,
				pageSize: 10,
				total: 0,
			},
			tableData: [], // 表格数据
			loading: true, // 表格loading加载
		}
	},
	mounted () {
		this.getList()
	},
	methods: {
		// 查询分页列表
		getList () {
			this.loading = true
			get(this.url.tableDataUrl, this.pagination)
			.then(({code, data, count}) => {
				if (code === 200) {
					this.tableData = data || []
					this.pagination.total = count
					this.loading = false
				} else {
					this.loading = false
				}
			}).catch (() => {
				this.loading = false
				this.tableData=[];
				this.pagination.total = 0;
			})
		},
		// 监听回调
		completeCallBack (data) {
			this.isShowDialog = ''
			this.item = {}
			this.getList()
		},
		// 新增按钮操作
		handleAdd () {
			this.isShowDialog = 'add'
			this.item = {}
		},
		// 修改按钮操作
		handleUpdate (row) {
			this.isShowDialog = 'edit'
			this.item = row
		},
		// 改变isShowDialog的值
		changeDialogStatus(data) {
			this.isShowDialog = data
		},
		// 删除数据
		delHanle (url, parms) {
			this.$confirm('是否确认删除当前数据项?', '警告', {
				confirmButtonText: '确定',
				cancelButtonText: '取消',
				type: 'warning'
			}).then(() => {
				return deleteData(url, parms)
			}).then(() => {
				this.msgSuccess('删除成功')
				const totalPage = Math.ceil((this.total - 1) / this.pagination.pageSize)
				this.pagination.pageNumber = this.pagination.pageNumber > totalPage ? totalPage : this.pagination.pageNumber
				this.pagination.pageNumber = this.pagination.pageNumber < 1 ? 1 : this.pagination.pageNumber
				this.getList()
			}).catch(() => { })
		},
	}
}