import axios from "axios";

// create an axios instance
const service = axios.create({
	baseURL: process.env.VUE_APP_BASE_URL || 'http://101.201.121.115:9002/',
  timeout: 200000, // request timeout
});
// request interceptor
service.interceptors.request.use(
  (config) => {
    config.headers["Authorization"] = "Bearer token";
    return config;
  },
  (error) => {
    return Promise.reject(error);
  }
);

service.interceptors.response.use(
  (response) => {
    const code = response.data.code
    if (code === 200) {
      return response.data;
    }else{
      return response.data;
    }
  },
  (error) => {
    console.log(Promise.reject(error.response.data.msg));
		// msgError(Promise.reject(error.response.data.msg))
		return Promise.reject(error.response.data)
  }
);

export default service;
